| index

Package mip_regions

Program units

valid_postcode_format | Attempts to validate that the format of the given string matches a standard postcode format
get_region_for_postcode | Find the region with which the given postcode is associated

valid_postcode_format

    FUNCTION valid_postcode_format(p_postcode IN VARCHAR2) RETURN BOOLEAN

Attempts to validate that the format of the given string matches a standard postcode format
This includes the general format of the string, plus any restrictions on character values within the overall format.

Parameters

| p_string | the string whose format is to be checked

Returns

| TRUE if the given string matches a known postcode format

get_region_for_postcode

    FUNCTION get_region_for_postcode(p_postcode IN VARCHAR2)
      RETURN postcodes.regi_code%TYPE

Find the region with which the given postcode is associated

Parameters

| p_postcode | correctly formatted postcode

Returns

| region code or NULL